Subject: bug#8794: cons_to_long fixes; making 64-bit EMACS_INT the default

From: Stefan Monnier <[email-masked]>
Date: Fri, 03 Jun 2011 12:54:23 -0300

> I found several problems in the Emacs code that converts
> large C integers to Emacs conses-of-integers and back again.
> I wrote some code to fix them systematically, and found that
> it was simpler and more reliable if I could assume that EMACS_INT
> was 64-bit even on 32-bit hosts.  So here's a patch to do all that.
> I plan to test this a bit more before committing.

So, there are 3 parts:
- fix the cons<->int conversions.
- add a 64bit-on-32bit compilation option.
- make that option the default.
Please split it into those three parts.  I'd rather keep the "change the
default" for later, after we've gotten some experience with it.

        Stefan